package com.loafle.overflow.central.module.infra.dao;

import java.util.List;

import com.loafle.overflow.model.infra.InfraHostIP;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraHostIPDAO extends JpaRepository<InfraHostIP, Long> {
  InfraHostIP findByInfraHostIdAndMetaIPTypeKeyAndAddress(Long infraHostId, String metaIPTypeKey, String address);
  InfraHostIP findByInfraHostInfraZoneIdAndMetaIPTypeKeyAndAddress(Long infraHostInfraZoneId, String metaIPTypeKey, String address);

  List<InfraHostIP> findAllByInfraHostId(Long infraHostId);
  List<InfraHostIP> findAllByInfraHostIdAndMetaIPTypeKey(Long infraHostId, String metaIPTypeKey);
  List<InfraHostIP> findAllByInfraHostIdAndMac(Long infraHostId, String mac);
}