package com.loafle.overflow.central.module.member.dao;

import com.loafle.overflow.model.member.MemberTotp;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by geek on 18. 3. 8.
 */
@Repository
public interface MemberTotpDAO extends JpaRepository<MemberTotp, Long> {
  MemberTotp findBySecretCode(String secretCode);

  MemberTotp findByMemberEmail(String memberEmail);
}
