package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaCollectionItemDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCollectionItem;
import com.loafle.overflow.service.central.meta.MetaCollectionItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaCollectionItemService")
public class CentralMetaCollectionItemService implements MetaCollectionItemService {

  @Autowired
  MetaCollectionItemDAO metaCollectionItemDAO;

  @Override
  public List<MetaCollectionItem> readAll() throws OverflowException {
      return this.metaCollectionItemDAO.findAll();
  }

  @Override
  public MetaCollectionItem readByKey(String key) throws OverflowException {
    return this.metaCollectionItemDAO.findByKey(key);
  }
}
